Skip to main content
POST
/
v1
/
admin
/
products
Create a product
curl --request POST \
  --url https://{operatorDomain}/v1/admin/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "shortDescription": "<string>",
  "productTypeId": "<string>",
  "bookingMode": "<string>",
  "capacityMode": "<string>",
  "visibility": "<string>",
  "sellCurrency": "<string>",
  "sellAmountCents": 123,
  "isFeatured": true
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "shortDescription": "<string>",
    "bookingMode": "<string>",
    "capacityMode": "<string>",
    "visibility": "<string>",
    "sellCurrency": "<string>",
    "sellAmountCents": 123,
    "startDate": "<string>",
    "endDate": "<string>",
    "pax": 123,
    "isFeatured": true
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json

Product create/update body validated by inventory's insert/update product zod schema.

name
string
slug
string
description
string
shortDescription
string
productTypeId
string
bookingMode
string
capacityMode
string
visibility
string
sellCurrency
string
sellAmountCents
integer

Response

201 - application/json

Created product

data
object